{ config, lib, pkgs, imports, boot, ... }:

with lib;
{

  # Enable module for NVIDIA graphics
  mySystem.hardware.nvidia.enable = true;

  mySystem.system.packages = with pkgs; [
    ntfs3g
  ];

  boot = {

    initrd.availableKernelModules = [ "nvme" "xhci_pci" "ahci" "usbhid" "usb_storage" "sd_mod" ];
    kernelModules = [ "kvm-amd" ];
    extraModulePackages = [ ];

    # for managing/mounting ntfs
    supportedFilesystems = [ "ntfs" ];

    loader = {
      systemd-boot.enable = true;
      efi.canTouchEfiVariables = true;
      # why not ensure we can memtest workstatons easily?
      grub.memtest86.enable = true;

    };
  };

  # set xserver videodrivers for NVIDIA 4080 gpu
  services.xserver.videoDrivers = [ "nvidia" ];



}
